[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# dosmemget

Copy data from DOS memory to the heap.

## Declaration

Source position: go32.pp line 180

`const dosmemget: procedure( = @dpmi_dosmemget;`
`seg: Word;`
`ofs: Word;`
`var data;`
`count: LongInt`
`)`

## Description

Copies data from the dos memory onto the heap.

Parameters:

seg
  source real mode segment.
ofs
  source real mode offset.
data
  destination.
count
  number of bytes to copy.

Notes: No range checking is performed.

For an example, see global_dos_alloc.

## Errors

None.

## See also

dosmemput |  | Copy data from the heap to DOS real mode memory
dosmemmove |  | Move data between 2 DOS real mode memory locations
dosmemfillchar |  | Fill a region of DOS memory with a specific byte-sized value
dosmemfillword |  | Fill a region of DOS memory with a specific word-sized value
seg_move |  | Move data between 2 locations
seg_fillchar |  | Fill segment with byte value
seg_fillword |  | Fill segment with word value

Documentation generated on: Feb 26 2014